package com.tcctlo.law.service;

import com.tcctlo.law.entity.IndexStatistics;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 首页service
 */
public interface IIndexService {

    /**
     * 案件类型统计
     *
     * @return 结果集
     */
    List<IndexStatistics> caseTypeStatistics(Date startTime, Date endTime);

    /**
     * 利冲统计
     *
     * @return 结果集
     */
    List<IndexStatistics> conflictStatistics(Date startTime, Date endTime);

    /**
     * 费用统计
     *
     * @return 结果集
     */
    List<IndexStatistics> costStatistics(Date startTime, Date endTime);

    /**
     * 收益走势
     * @param startTime 其实
     * @param endTime
     * @return
     */
    List<IndexStatistics> earningsTrend(Date startTime, Date endTime);
}
